package net.roseindia;

import java.util.Iterator;
import java.util.List;

import org.hibernate.Criteria;
import org.hibernate.Session;
import org.hibernate.SessionFactory;

import net.roseindia.model.*;

/**
 * @author Deepak Kumar Web: http://www.roseindia.net
 */

public class HibernateCriteriaLoadAllExample {
	public static void main(String[] args) throws Exception {

		SessionFactory sessFact = HibernateUtil.getSessionFactory();
		Session session = sessFact.getCurrentSession();
		org.hibernate.Transaction tr = session.beginTransaction();

		Criteria criteria = session.createCriteria(Employee.class);
		List employees = criteria.list();

		Iterator itr = employees.iterator();
		while (itr.hasNext()) {

			Employee emp = (Employee) itr.next();
			System.out.println(emp.getId());
			System.out.println(emp.getEmpName());
			System.out.println(emp.getEmpMobileNos());
		}

		tr.commit();
		System.out.println("Data displayed");
		sessFact.close();
	}
}
